#!/bin/bash

port_publisher=5432
port_subscriber=5433

# you need to export the postgres bin path.

echo '##########'
echo '#Clean up#'
echo '##########'

pg_ctl stop -D data_N2
pg_ctl stop -D data_N1

rm -r data_N1 data_N2 *log

echo '########'
echo '#Set up#'
echo '########'

initdb -D data_N1
initdb -D data_N2

cat << EOF >> data_N1/postgresql.conf
wal_level = logical
port = $port_publisher
wal_sender_timeout = 100000s
wal_receiver_timeout = 100000s
autovacuum = false
checkpoint_timeout = 1h 
shared_buffers = '8GB'
wal_buffers = '1GB'
max_connections = '5000'
max_wal_size = 20GB
min_wal_size = 10GB
max_wal_senders = 100
max_replication_slots = 101
#synchronous_commit = on
#log_min_messages = debug3
#max_slot_wal_keep_size = 1
#log_min_duration_statement = 0
#logical_replication_mode = 'immediate'
EOF

cat << EOF >> data_N2/postgresql.conf
wal_level = logical
autovacuum = false
checkpoint_timeout = 1h
shared_buffers = '8GB'
wal_buffers = '1GB'
max_connections = '5000'
max_wal_size = 20GB
min_wal_size = 10GB
max_wal_senders = 100
max_replication_slots = 101
port = $port_subscriber
EOF

# Boot database instances

#pg_ctl -D data_N1 start -w -l N1.log
#pg_ctl -D data_N2 start -w -l N2.log
pg_ctl -D data_N1 start -w

exit
